eth_getTransactionReceipt
Network: Base Sepolia · Testnet · Chain ID 84532 (0x14a34)
Counts as 1 request. See Request Counting.
Returns the receipt of a transaction by transaction hash. Receipts are not available for pending transactions.
Parameters
DATA(32 bytes) — Hash of a transaction.
Returns
Object|null — A transaction receipt object, or null when no receipt was found.
| Field | Type | Description |
|---|---|---|
| transactionHash | DATA | Transaction hash |
| blockHash | DATA | Block hash |
| blockNumber | QUANTITY | Block number |
| from | DATA | Sender address |
| to | DATA | Recipient (null for contract creation) |
| contractAddress | DATA | Created contract address (null otherwise) |
| gasUsed | QUANTITY | Gas used by this tx |
| cumulativeGasUsed | QUANTITY | Total gas in block up to this tx |
| status | QUANTITY | 0x1 (success) or 0x0 (failure) |
| logs | Array | Log objects generated by this tx |
Request
{
"jsonrpc": "2.0",
"method": "eth_getTransactionReceipt",
"params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],
"id": 1
}Code Examples
curl -X POST https://base-sepolia-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],"id":1}'